petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSetLayout

set PetscLayout describing vector layout

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetLayout(Vec x,PetscLayout map)

Not Collective Many br

### Input Arguments

| x | - the vector Many br
| map | - the layout Many br

### Notes

It is normally only valid to replace the layout with a layout known to be equivalent. Many br

Many br

### See Also

VecGetLayout(), VecGetSizes(), VecGetOwnershipRange(), VecGetOwnershipRanges()

Level:developer
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages